pbs_tclsh(8B)

NAME
pbs_tclsh - TCL shell with TCL-wrapped PBS API

SYNOPSIS
pbs_tclsh pbs_tclsh --version

DESCRIPTION
The pbs_tclsh command starts a version of the TCL shell which includes wrapped versions of the PBS external API. The PBS TCL API is documented in the pbs_tclapi(3B) manual page. The pbs_tclsh command is used to query MoM. For example:
    > pbs_tclsh
    tclsh> openrm <hostname>
    <file descriptor>
    tclsh> addreq <file descriptor> "loadave"
    tclsh> getreq <file descriptor>
    <load average>
    tclsh> closereq <file descriptor>
Required Privilege
Root privilege is required in order to query MoM for dynamic resources. Root privilege is not required in order to query MoM for built-in resources and site-defined static resources.

OPTIONS

--version
    The pbs_tclsh command returns its PBS version information and exits. This option can only be used alone.

STANDARD ERROR
The pbs_tclsh command writes a diagnostic message to standard error for each error occurrence.

SEE ALSO
The PBS Professional Administrator's Guide, the PBS Professional Programmer's Guide, and the following manual pages: pbs_wish(8B), pbs_server(8B), pbs_mom(8B), pbs_sched(8B)